Package Details: khal 0.9.3-1

Git Clone URL: https://aur.archlinux.org/khal.git (read-only)
Package Base: khal
Description: CLI calendar application build around CalDAV
Upstream URL: http://lostpackets.de/khal/
Licenses: MIT
Submitter: t-8ch
Maintainer: eolianoe (hobarrera)
Last Packager: hobarrera
Votes: 19
Popularity: 1.747773
First Submitted: 2014-04-18 09:52
Last Updated: 2017-03-06 20:09

Latest Comments

polyzen commented on 2017-03-11 02:25

sphinxcontrib.newsfeed is unnecessary for the man build [1][2].
This patch [3] removes this makedep, but causes Sphinx to output quite a few lines of errors. Perhaps that can just be forwarded to /dev/null.

[1] https://github.com/pimutils/khal/blob/f2bc6f899d56ffd1604221772d8c99f1b74c1b79/doc/source/news/khal03.rst#L23
[2] http://pkgs.fedoraproject.org/cgit/rpms/khal.git/tree/khal.spec#n14
[3] https://ptpb.pw/wcoc.patch

untitaker commented on 2017-01-19 10:09

@steinberg: That bug appears to be fixed in khal master.

Steinberg2010 commented on 2017-01-18 14:33

vdirsyncer is properly installed on mine (I have it running through cronie to sync my calendars and it works fine). At the moment it fails in the simple_config_test:
___________________________________________ TestSettings.test_simple_config ___________________________________________

self = <tests.settings_test.TestSettings object at 0x7fe4f76ea828>

def test_simple_config(self):
config = get_config(PATH + 'simple.conf')
comp_config = {
'calendars': {
'home': {'path': os.path.expanduser('~/.calendars/home/'),
'readonly': False, 'color': None, 'type': 'calendar'},
'work': {'path': os.path.expanduser('~/.calendars/work/'),
'readonly': False, 'color': None, 'type': 'calendar'},
},
'sqlite': {'path': os.path.expanduser('~/.local/share/khal/khal.db')},
'locale': {
'local_timezone': pytz.timezone('Europe/Berlin'),
'default_timezone': pytz.timezone('Europe/Berlin'),
'timeformat': '%H:%M',
'dateformat': '%d.%m.',
'longdateformat': '%d.%m.%Y',
'datetimeformat': '%d.%m. %H:%M',
'longdatetimeformat': '%d.%m.%Y %H:%M',
'firstweekday': 0,
'encoding': 'utf-8',
'unicode_symbols': True,
'weeknumbers': False,
},
'default': {
'default_command': 'calendar',
'default_calendar': None,
'show_all_days': False,
'print_new': 'False',
'days': 2,
'highlight_event_days': False
}
}
for key in comp_config:
> assert config[key] == comp_config[key]
E assert {'home': {'pa...: 'calendar'}} == {'home': {'col...: 'calendar'}}
E Differing items:
E {'work': {'path': '/home/nicolas/.calendars/work/', 'color': '#E6C800FF', 'readonly': False, 'type': 'calendar'}} != {'work': {'color': None, 'path': '/home/nicolas/.calendars/work/', 'readonly': False, 'type': 'calendar'}}
E {'home': {'path': '/home/nicolas/.calendars/home/', 'color': '#882F00FF', 'readonly': False, 'type': 'calendar'}} != {'home': {'color': None, 'path': '/home/nicolas/.calendars/home/', 'readonly': False, 'type': 'calendar'}}
E Use -v to get the full diff

tests/settings_test.py:50: AssertionError

dhaines commented on 2017-01-18 14:16

No AUR helper beyond cower, which shouldn't count.

I managed to get it to build nonetheless; I had to uninstall most, if not all, of the python dependencies, as they had been in /usr/lib/python3.5 and reinstall them such that they were in the python 3.6 directory tree.

Thanks for the help!

eolianoe commented on 2017-01-17 08:57

@Steinberg2010 & @dhaines: the check function is running properly in a clean chroot, so there is no need to comment it.
Please check that vdirsyncer is properly installed and avoid the use of AUR helpers.

Steinberg2010 commented on 2017-01-17 01:16

If you comment out the check() it'll work.

~S

dhaines commented on 2017-01-17 00:42

NB: I have vdirsyncer 0.14.1-1 installed from AUR.

I'm not currently able to build khal. makepkg fails on check(). I believe that you need to add vdirsyncer to one of the DEPENDS variables. Output of check() is as follows.

==> Starting check()...
Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/_pytest/config.py", line 325, in _getconftestmodules
return self._path2confmods[path]
KeyError: local('/tmp/makepkg/khal/src/khal-0.8.4/tests')

During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/_pytest/config.py", line 356, in _importconftest
return self._conftestpath2mod[conftestpath]
KeyError: local('/tmp/makepkg/khal/src/khal-0.8.4/tests/conftest.py')

During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/_pytest/config.py", line 362, in _importconftest
mod = conftestpath.pyimport()
File "/usr/lib/python3.6/site-packages/py/_path/local.py", line 662, in pyimport
__import__(modname)
File "/usr/lib/python3.6/site-packages/_pytest/assertion/rewrite.py", line 216, in load_module
py.builtin.exec_(co, mod.__dict__)
File "/tmp/makepkg/khal/src/khal-0.8.4/tests/conftest.py", line 5, in <module>
from khal.khalendar import CalendarCollection
File "/tmp/makepkg/khal/src/khal-0.8.4/khal/khalendar/__init__.py", line 22, in <module>
from .khalendar import CalendarCollection # flake8: noqa
File "/tmp/makepkg/khal/src/khal-0.8.4/khal/khalendar/khalendar.py", line 34, in <module>
from vdirsyncer.storage.filesystem import FilesystemStorage
ModuleNotFoundError: No module named 'vdirsyncer'
ERROR: could not load /tmp/makepkg/khal/src/khal-0.8.4/tests/conftest.py

==> ERROR: A failure occurred in check().

Steinberg2010 commented on 2017-01-12 17:14

Thanks - all fixed. Why do we still have to comment out the check() - is that an upstream issue?

~S

hobarrera commented on 2017-01-07 16:24

You can run this to find any broken packages (unless you've manually installed python3.5, but in that case, you'd know what you're doing already):

pacman -Qo /usr/lib/python3.5

Any packages listed there require rebuild/reinstallation.

Steinberg2010 commented on 2017-01-07 15:58

I manually reinstalled the dependencies and it's still failing to build. Is there a way to automate it (can I remove it and it's dependencies and then reinstall them or is that a bad idea)? I'd rather not lost my config file.

All comments